> For the complete documentation index, see [llms.txt](https://docs.mobiusflow.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-engine-api-v3/commands.md).

# Commands

## POST /api/engine/v3/command/bcmd/{cid}

> Send a BCMD command

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/command/bcmd/{cid}":{"post":{"summary":"Send a BCMD command","tags":["Commands"],"requestBody":{"content":{"application/json":{"schema":{"description":"BCMD payload"}}},"description":"BCMD payload","required":true},"parameters":[{"schema":{"description":"Command ID","type":"string","enum":["ENOCEAN_RADIO_RAW","ENOCEAN_RADIO_ERP1","ENOCEAN_RADIO_ERP1_VLD","ENOCEAN_RADIO_MSC","ENOCEAN_RADIO_RMC","ENOCEAN_RADIO_VIRTUAL_SWITCH_TX","ENOCEAN_RADIO_TX","WORKOCC_TELEGRAM","LORAWAN_TX","LORAWAN_RX","INGY_DATASTREAM_RX","INGY_API_RX","MQTT_RX","HISTORIAN_PROVISION","HISTORIAN_TELEMETRY_TX","GENERIC_BCMD"]},"in":"path","name":"cid","required":true,"description":"Command ID"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"description":"BCMD sent successfully","type":"object","properties":{"message":{"description":"Response message","type":"string"}},"required":["message"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```

## POST /api/engine/v3/command/dcmd/{cid}

> Send a DCMD command

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/command/dcmd/{cid}":{"post":{"summary":"Send a DCMD command","tags":["Commands"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"uri":{"description":"Target service URI","type":"string"},"commandData":{"description":"Command data to send"}},"required":["uri","commandData"]}}},"required":true},"parameters":[{"schema":{"description":"Command ID","type":"string"},"in":"path","name":"cid","required":true,"description":"Command ID"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"description":"DCMD response"}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Forbidden","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Not Found","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Conflict","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-engine-api-v3/commands.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
